public class CategoriesApi extends Object
| Constructor and Description |
|---|
CategoriesApi() |
CategoriesApi(ApiClient apiClient) |
| Modifier and Type | Method and Description |
|---|---|
Category |
createCategory(CategoryParams body)
Create a new category
Create a new custom transaction category for the authorized user, that can then be assigned to transactions via PATCH /transactions, and that will also be regarded in finAPI's automatic transactions categorization process.
|
com.squareup.okhttp.Call |
createCategoryAsync(CategoryParams body,
ApiCallback<Category> callback)
Create a new category (asynchronously)
Create a new custom transaction category for the authorized user, that can then be assigned to transactions via PATCH /transactions, and that will also be regarded in finAPI's automatic transactions categorization process.
|
com.squareup.okhttp.Call |
createCategoryCall(CategoryParams body,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for createCategory
|
ApiResponse<Category> |
createCategoryWithHttpInfo(CategoryParams body)
Create a new category
Create a new custom transaction category for the authorized user, that can then be assigned to transactions via PATCH /transactions, and that will also be regarded in finAPI's automatic transactions categorization process.
|
IdentifierList |
deleteAllCategories()
Delete all categories
Delete all custom categories of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
deleteAllCategoriesAsync(ApiCallback<IdentifierList> callback)
Delete all categories (asynchronously)
Delete all custom categories of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
deleteAllCategoriesCall(ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for deleteAllCategories
|
ApiResponse<IdentifierList> |
deleteAllCategoriesWithHttpInfo()
Delete all categories
Delete all custom categories of the user that is authorized by the access_token.
|
void |
deleteCategory(Long id)
Delete a category
Delete a single category of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
deleteCategoryAsync(Long id,
ApiCallback<Void> callback)
Delete a category (asynchronously)
Delete a single category of the user that is authorized by the access_token.
|
com.squareup.okhttp.Call |
deleteCategoryCall(Long id,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for deleteCategory
|
ApiResponse<Void> |
deleteCategoryWithHttpInfo(Long id)
Delete a category
Delete a single category of the user that is authorized by the access_token.
|
PageableCategoryList |
getAndSearchAllCategories(List<Long> ids,
String search,
Boolean isCustom,
Integer page,
Integer perPage,
List<String> order)
Get and search all categories
Get a list of all global finAPI categories as well as all custom categories of the authorized user.
|
com.squareup.okhttp.Call |
getAndSearchAllCategoriesAsync(List<Long> ids,
String search,
Boolean isCustom,
Integer page,
Integer perPage,
List<String> order,
ApiCallback<PageableCategoryList> callback)
Get and search all categories (asynchronously)
Get a list of all global finAPI categories as well as all custom categories of the authorized user.
|
com.squareup.okhttp.Call |
getAndSearchAllCategoriesCall(List<Long> ids,
String search,
Boolean isCustom,
Integer page,
Integer perPage,
List<String> order,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for getAndSearchAllCategories
|
ApiResponse<PageableCategoryList> |
getAndSearchAllCategoriesWithHttpInfo(List<Long> ids,
String search,
Boolean isCustom,
Integer page,
Integer perPage,
List<String> order)
Get and search all categories
Get a list of all global finAPI categories as well as all custom categories of the authorized user.
|
ApiClient |
getApiClient() |
CashFlowList |
getCashFlows(String search,
String counterpart,
List<Long> accountIds,
String minBankBookingDate,
String maxBankBookingDate,
String minFinapiBookingDate,
String maxFinapiBookingDate,
BigDecimal minAmount,
BigDecimal maxAmount,
String direction,
List<Long> labelIds,
List<Long> categoryIds,
Boolean isNew,
String minImportDate,
String maxImportDate,
Boolean includeSubCashFlows,
List<String> order)
Get cash flows
Get the cash flow(s) (= total income, spending, and balance) for one or several categories.
|
com.squareup.okhttp.Call |
getCashFlowsAsync(String search,
String counterpart,
List<Long> accountIds,
String minBankBookingDate,
String maxBankBookingDate,
String minFinapiBookingDate,
String maxFinapiBookingDate,
BigDecimal minAmount,
BigDecimal maxAmount,
String direction,
List<Long> labelIds,
List<Long> categoryIds,
Boolean isNew,
String minImportDate,
String maxImportDate,
Boolean includeSubCashFlows,
List<String> order,
ApiCallback<CashFlowList> callback)
Get cash flows (asynchronously)
Get the cash flow(s) (= total income, spending, and balance) for one or several categories.
|
com.squareup.okhttp.Call |
getCashFlowsCall(String search,
String counterpart,
List<Long> accountIds,
String minBankBookingDate,
String maxBankBookingDate,
String minFinapiBookingDate,
String maxFinapiBookingDate,
BigDecimal minAmount,
BigDecimal maxAmount,
String direction,
List<Long> labelIds,
List<Long> categoryIds,
Boolean isNew,
String minImportDate,
String maxImportDate,
Boolean includeSubCashFlows,
List<String> order,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for getCashFlows
|
ApiResponse<CashFlowList> |
getCashFlowsWithHttpInfo(String search,
String counterpart,
List<Long> accountIds,
String minBankBookingDate,
String maxBankBookingDate,
String minFinapiBookingDate,
String maxFinapiBookingDate,
BigDecimal minAmount,
BigDecimal maxAmount,
String direction,
List<Long> labelIds,
List<Long> categoryIds,
Boolean isNew,
String minImportDate,
String maxImportDate,
Boolean includeSubCashFlows,
List<String> order)
Get cash flows
Get the cash flow(s) (= total income, spending, and balance) for one or several categories.
|
Category |
getCategory(Long id)
Get a category
Get a single category that is either a global finAPI category or a custom category of the authorized user.
|
com.squareup.okhttp.Call |
getCategoryAsync(Long id,
ApiCallback<Category> callback)
Get a category (asynchronously)
Get a single category that is either a global finAPI category or a custom category of the authorized user.
|
com.squareup.okhttp.Call |
getCategoryCall(Long id,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for getCategory
|
ApiResponse<Category> |
getCategoryWithHttpInfo(Long id)
Get a category
Get a single category that is either a global finAPI category or a custom category of the authorized user.
|
CategoryList |
getMultipleCategories(List<Long> ids)
Deprecated.
|
com.squareup.okhttp.Call |
getMultipleCategoriesAsync(List<Long> ids,
ApiCallback<CategoryList> callback)
Deprecated.
|
com.squareup.okhttp.Call |
getMultipleCategoriesCall(List<Long> ids,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Deprecated.
|
ApiResponse<CategoryList> |
getMultipleCategoriesWithHttpInfo(List<Long> ids)
Deprecated.
|
void |
setApiClient(ApiClient apiClient) |
void |
trainCategorization(CategorizationSample body)
Train categorization
This service allows you to create user-specific categorization rules (for the user that is authorized by the access_token).
|
com.squareup.okhttp.Call |
trainCategorizationAsync(CategorizationSample body,
ApiCallback<Void> callback)
Train categorization (asynchronously)
This service allows you to create user-specific categorization rules (for the user that is authorized by the access_token).
|
com.squareup.okhttp.Call |
trainCategorizationCall(CategorizationSample body,
ProgressResponseBody.ProgressListener progressListener,
ProgressRequestBody.ProgressRequestListener progressRequestListener)
Build call for trainCategorization
|
ApiResponse<Void> |
trainCategorizationWithHttpInfo(CategorizationSample body)
Train categorization
This service allows you to create user-specific categorization rules (for the user that is authorized by the access_token).
|
public CategoriesApi()
public CategoriesApi(ApiClient apiClient)
public ApiClient getApiClient()
public void setApiClient(ApiClient apiClient)
public com.squareup.okhttp.Call createCategoryCall(CategoryParams body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener) throws ApiException
body - Parameters of the new category (optional)progressListener - Progress listenerprogressRequestListener - Progress request listenerApiException - If fail to serialize the request body objectpublic Category createCategory(CategoryParams body) throws ApiException
body - Parameters of the new category (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response bodypublic ApiResponse<Category> createCategoryWithHttpInfo(CategoryParams body) throws ApiException
body - Parameters of the new category (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response bodypublic com.squareup.okhttp.Call createCategoryAsync(CategoryParams body, ApiCallback<Category> callback) throws ApiException
body - Parameters of the new category (optional)callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body objectpublic com.squareup.okhttp.Call deleteAllCategoriesCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener) throws ApiException
progressListener - Progress listenerprogressRequestListener - Progress request listenerApiException - If fail to serialize the request body objectpublic IdentifierList deleteAllCategories() throws ApiException
ApiException - If fail to call the API, e.g. server error or cannot deserialize the response bodypublic ApiResponse<IdentifierList> deleteAllCategoriesWithHttpInfo() throws ApiException
ApiException - If fail to call the API, e.g. server error or cannot deserialize the response bodypublic com.squareup.okhttp.Call deleteAllCategoriesAsync(ApiCallback<IdentifierList> callback) throws ApiException
callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body objectpublic com.squareup.okhttp.Call deleteCategoryCall(Long id, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener) throws ApiException
id - Category identifier (required)progressListener - Progress listenerprogressRequestListener - Progress request listenerApiException - If fail to serialize the request body objectpublic void deleteCategory(Long id) throws ApiException
id - Category identifier (required)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response bodypublic ApiResponse<Void> deleteCategoryWithHttpInfo(Long id) throws ApiException
id - Category identifier (required)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response bodypublic com.squareup.okhttp.Call deleteCategoryAsync(Long id, ApiCallback<Void> callback) throws ApiException
id - Category identifier (required)callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body objectpublic com.squareup.okhttp.Call getAndSearchAllCategoriesCall(List<Long> ids, String search, Boolean isCustom, Integer page, Integer perPage, List<String> order, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener) throws ApiException
ids - A comma-separated list of category identifiers. If specified, then only categories whose identifier match any of the given identifiers will be regarded. The maximum number of identifiers is 1000. (optional)search - If specified, then only those categories will be contained in the result whose 'name' contains the given search string (the matching works case-insensitive). If no categories contain the search string in their name, then the result will be an empty list. NOTE: If the given search string consists of several terms (separated by whitespace), then ALL of these terms must be contained in the name in order for a category to get included into the result. (optional)isCustom - If specified, then the result will contain only categories that are either finAPI global (in case of value 'false'), or only categories that have been created by the authorized user (in case of value 'true'). (optional)page - Result page that you want to retrieve. (optional, default to 1)perPage - Maximum number of records per page. Can be at most 500. NOTE: Due to its validation and visualization, the swagger frontend might show very low performance, or even crashes, when a service responds with a lot of data. It is recommended to use a HTTP client like Postman or DHC instead of our swagger frontend for service calls with large page sizes. (optional, default to 20)order - Determines the order of the results. You can order the results by 'id', 'name' and 'isCustom'. The default order is 'id,asc'. You can also order by multiple properties. In that case the order of the parameters passed is important. Example: '/categories?order=isCustom,desc&order=name' will return all custom categories followed by all default categories. Both groups are ordered ascending by name. The general format is: 'property[,asc|desc]', with 'asc' being the default value. Please note that ordering by multiple fields is not supported in our swagger frontend, but you can test this feature with any HTTP tool of your choice (e.g. postman or DHC). (optional)progressListener - Progress listenerprogressRequestListener - Progress request listenerApiException - If fail to serialize the request body objectpublic PageableCategoryList getAndSearchAllCategories(List<Long> ids, String search, Boolean isCustom, Integer page, Integer perPage, List<String> order) throws ApiException
ids - A comma-separated list of category identifiers. If specified, then only categories whose identifier match any of the given identifiers will be regarded. The maximum number of identifiers is 1000. (optional)search - If specified, then only those categories will be contained in the result whose 'name' contains the given search string (the matching works case-insensitive). If no categories contain the search string in their name, then the result will be an empty list. NOTE: If the given search string consists of several terms (separated by whitespace), then ALL of these terms must be contained in the name in order for a category to get included into the result. (optional)isCustom - If specified, then the result will contain only categories that are either finAPI global (in case of value 'false'), or only categories that have been created by the authorized user (in case of value 'true'). (optional)page - Result page that you want to retrieve. (optional, default to 1)perPage - Maximum number of records per page. Can be at most 500. NOTE: Due to its validation and visualization, the swagger frontend might show very low performance, or even crashes, when a service responds with a lot of data. It is recommended to use a HTTP client like Postman or DHC instead of our swagger frontend for service calls with large page sizes. (optional, default to 20)order - Determines the order of the results. You can order the results by 'id', 'name' and 'isCustom'. The default order is 'id,asc'. You can also order by multiple properties. In that case the order of the parameters passed is important. Example: '/categories?order=isCustom,desc&order=name' will return all custom categories followed by all default categories. Both groups are ordered ascending by name. The general format is: 'property[,asc|desc]', with 'asc' being the default value. Please note that ordering by multiple fields is not supported in our swagger frontend, but you can test this feature with any HTTP tool of your choice (e.g. postman or DHC). (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response bodypublic ApiResponse<PageableCategoryList> getAndSearchAllCategoriesWithHttpInfo(List<Long> ids, String search, Boolean isCustom, Integer page, Integer perPage, List<String> order) throws ApiException
ids - A comma-separated list of category identifiers. If specified, then only categories whose identifier match any of the given identifiers will be regarded. The maximum number of identifiers is 1000. (optional)search - If specified, then only those categories will be contained in the result whose 'name' contains the given search string (the matching works case-insensitive). If no categories contain the search string in their name, then the result will be an empty list. NOTE: If the given search string consists of several terms (separated by whitespace), then ALL of these terms must be contained in the name in order for a category to get included into the result. (optional)isCustom - If specified, then the result will contain only categories that are either finAPI global (in case of value 'false'), or only categories that have been created by the authorized user (in case of value 'true'). (optional)page - Result page that you want to retrieve. (optional, default to 1)perPage - Maximum number of records per page. Can be at most 500. NOTE: Due to its validation and visualization, the swagger frontend might show very low performance, or even crashes, when a service responds with a lot of data. It is recommended to use a HTTP client like Postman or DHC instead of our swagger frontend for service calls with large page sizes. (optional, default to 20)order - Determines the order of the results. You can order the results by 'id', 'name' and 'isCustom'. The default order is 'id,asc'. You can also order by multiple properties. In that case the order of the parameters passed is important. Example: '/categories?order=isCustom,desc&order=name' will return all custom categories followed by all default categories. Both groups are ordered ascending by name. The general format is: 'property[,asc|desc]', with 'asc' being the default value. Please note that ordering by multiple fields is not supported in our swagger frontend, but you can test this feature with any HTTP tool of your choice (e.g. postman or DHC). (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response bodypublic com.squareup.okhttp.Call getAndSearchAllCategoriesAsync(List<Long> ids, String search, Boolean isCustom, Integer page, Integer perPage, List<String> order, ApiCallback<PageableCategoryList> callback) throws ApiException
ids - A comma-separated list of category identifiers. If specified, then only categories whose identifier match any of the given identifiers will be regarded. The maximum number of identifiers is 1000. (optional)search - If specified, then only those categories will be contained in the result whose 'name' contains the given search string (the matching works case-insensitive). If no categories contain the search string in their name, then the result will be an empty list. NOTE: If the given search string consists of several terms (separated by whitespace), then ALL of these terms must be contained in the name in order for a category to get included into the result. (optional)isCustom - If specified, then the result will contain only categories that are either finAPI global (in case of value 'false'), or only categories that have been created by the authorized user (in case of value 'true'). (optional)page - Result page that you want to retrieve. (optional, default to 1)perPage - Maximum number of records per page. Can be at most 500. NOTE: Due to its validation and visualization, the swagger frontend might show very low performance, or even crashes, when a service responds with a lot of data. It is recommended to use a HTTP client like Postman or DHC instead of our swagger frontend for service calls with large page sizes. (optional, default to 20)order - Determines the order of the results. You can order the results by 'id', 'name' and 'isCustom'. The default order is 'id,asc'. You can also order by multiple properties. In that case the order of the parameters passed is important. Example: '/categories?order=isCustom,desc&order=name' will return all custom categories followed by all default categories. Both groups are ordered ascending by name. The general format is: 'property[,asc|desc]', with 'asc' being the default value. Please note that ordering by multiple fields is not supported in our swagger frontend, but you can test this feature with any HTTP tool of your choice (e.g. postman or DHC). (optional)callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body objectpublic com.squareup.okhttp.Call getCashFlowsCall(String search, String counterpart, List<Long> accountIds, String minBankBookingDate, String maxBankBookingDate, String minFinapiBookingDate, String maxFinapiBookingDate, BigDecimal minAmount, BigDecimal maxAmount, String direction, List<Long> labelIds, List<Long> categoryIds, Boolean isNew, String minImportDate, String maxImportDate, Boolean includeSubCashFlows, List<String> order, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener) throws ApiException
search - If specified, then only transactions that contain the search term in their purpose or counterpart fields will be contained in the result. Note that the search is case insensitive. (optional)counterpart - The counterpart is the person or institution that received your payment, or that you made the payment to. If this parameter is specified, then only transactions that contain the given term in one (or more) of their counterpart fields ('counterpartName', 'counterpartAccountNumber', 'counterpartIban', 'counterpartBic' or 'counterpartBlz') will be contained in the result. Note that the search is case insensitive. (optional)accountIds - A comma-separated list of account identifiers. If specified, then only transactions that relate to the given accounts will be regarded. If not specified, then all accounts will be regarded. (optional)minBankBookingDate - Lower bound for a transaction's booking date as returned by the bank (= original booking date), in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). If specified, then only transactions whose 'bankBookingDate' is equal to or later than the given date will be regarded. (optional)maxBankBookingDate - Upper bound for a transaction's booking date as returned by the bank (= original booking date), in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). If specified, then only transactions whose 'bankBookingDate' is equal to or earlier than the given date will be regarded. (optional)minFinapiBookingDate - Lower bound for a transaction's booking date as set by finAPI, in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). For details about the meaning of the finAPI booking date, please see the field's documentation in the service's response. (optional)maxFinapiBookingDate - Upper bound for a transaction's booking date as set by finAPI, in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). For details about the meaning of the finAPI booking date, please see the field's documentation in the service's response. (optional)minAmount - If specified, then only transactions whose amount is equal to or greater than the given amount will be regarded. Can contain a positive or negative number with at most two decimal places. Examples: -300.12, or 90.95 (optional)maxAmount - If specified, then only transactions whose amount is equal to or less than the given amount will be regarded. Can contain a positive or negative number with at most two decimal places. Examples: -300.12, or 90.95 (optional)direction - If specified, then only transactions with the given direction(s) will be regarded. Use 'income' for regarding only received payments (amount >= 0), 'spending' for regarding only outgoing payments (amount < 0), or 'all' to regard both directions. If not specified, the direction defaults to 'all'. (optional, default to all)labelIds - A comma-separated list of label identifiers. If specified, then only transactions that have been marked with at least one of the given labels will be contained in the result. (optional)categoryIds - If specified, then the result will contain only those cash flows that relate to the given categories. Note that the cash flow for a category may include/exclude the cash flows of its sub-categories, depending on the 'includeSubCashFlows' setting. To include the cash flow of not categorized transactions, pass the value '0' as categoryId. Note: When this parameter is NOT set, then the result will contain a cash flow for all categories that have transactions associated to them (this includes the 'null'-category for the cash flow of not categorized transactions), more precisely: transactions that fulfill the filter criteria. Categories that have no associated transactions according to the filter criteria will not appear in the result. However, when you specify this parameter, then all specified categories will have a cash flow entry in the result, even if there are no associated transactions for the category (the cash flow will have income, spending and balance all set to zero). (optional)isNew - If specified, then only transactions that have their 'isNew' flag set to true/false will be regarded for the cash flow calculations. (optional)minImportDate - Lower bound for a transaction's import date, in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). If specified, then only transactions whose 'importDate' is equal to or later than the given date will be regarded. (optional)maxImportDate - Upper bound for a transaction's import date, in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). If specified, then only transactions whose 'importDate' is equal to or earlier than the given date will be regarded. (optional)includeSubCashFlows - If it is true, then the income, spending and balance of a main category results from all transactions that have either this (main) category or any of its subcategories assigned (of course all transactions depends from the other filtering settings); If it is false, then the income, spending and balance of a main category only results from the transactions that have exactly this (main) category assigned. Default value for this parameter is 'true'. (optional, default to true)order - Determines the order of the results. You can order the results by 'income', 'spending', 'balance', 'category.id' or 'category.name'. The default order for this service is 'category.id,asc'. You can also order by multiple properties. In that case the order of the parameters passed is important. Example: '/cashFlows?order=income,desc&order=spending,asc&balance,desc' will return as first result the category with the highest income. If two categories have the same income, it returns the category with the highest spending first (because spending is a negative value) and so on. The general format is: 'property[,asc|desc]', with 'asc' being the default value. Please note that ordering by multiple fields is not supported in our swagger frontend, but you can test this feature with any HTTP tool of your choice (e.g. postman or DHC). (optional)progressListener - Progress listenerprogressRequestListener - Progress request listenerApiException - If fail to serialize the request body objectpublic CashFlowList getCashFlows(String search, String counterpart, List<Long> accountIds, String minBankBookingDate, String maxBankBookingDate, String minFinapiBookingDate, String maxFinapiBookingDate, BigDecimal minAmount, BigDecimal maxAmount, String direction, List<Long> labelIds, List<Long> categoryIds, Boolean isNew, String minImportDate, String maxImportDate, Boolean includeSubCashFlows, List<String> order) throws ApiException
search - If specified, then only transactions that contain the search term in their purpose or counterpart fields will be contained in the result. Note that the search is case insensitive. (optional)counterpart - The counterpart is the person or institution that received your payment, or that you made the payment to. If this parameter is specified, then only transactions that contain the given term in one (or more) of their counterpart fields ('counterpartName', 'counterpartAccountNumber', 'counterpartIban', 'counterpartBic' or 'counterpartBlz') will be contained in the result. Note that the search is case insensitive. (optional)accountIds - A comma-separated list of account identifiers. If specified, then only transactions that relate to the given accounts will be regarded. If not specified, then all accounts will be regarded. (optional)minBankBookingDate - Lower bound for a transaction's booking date as returned by the bank (= original booking date), in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). If specified, then only transactions whose 'bankBookingDate' is equal to or later than the given date will be regarded. (optional)maxBankBookingDate - Upper bound for a transaction's booking date as returned by the bank (= original booking date), in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). If specified, then only transactions whose 'bankBookingDate' is equal to or earlier than the given date will be regarded. (optional)minFinapiBookingDate - Lower bound for a transaction's booking date as set by finAPI, in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). For details about the meaning of the finAPI booking date, please see the field's documentation in the service's response. (optional)maxFinapiBookingDate - Upper bound for a transaction's booking date as set by finAPI, in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). For details about the meaning of the finAPI booking date, please see the field's documentation in the service's response. (optional)minAmount - If specified, then only transactions whose amount is equal to or greater than the given amount will be regarded. Can contain a positive or negative number with at most two decimal places. Examples: -300.12, or 90.95 (optional)maxAmount - If specified, then only transactions whose amount is equal to or less than the given amount will be regarded. Can contain a positive or negative number with at most two decimal places. Examples: -300.12, or 90.95 (optional)direction - If specified, then only transactions with the given direction(s) will be regarded. Use 'income' for regarding only received payments (amount >= 0), 'spending' for regarding only outgoing payments (amount < 0), or 'all' to regard both directions. If not specified, the direction defaults to 'all'. (optional, default to all)labelIds - A comma-separated list of label identifiers. If specified, then only transactions that have been marked with at least one of the given labels will be contained in the result. (optional)categoryIds - If specified, then the result will contain only those cash flows that relate to the given categories. Note that the cash flow for a category may include/exclude the cash flows of its sub-categories, depending on the 'includeSubCashFlows' setting. To include the cash flow of not categorized transactions, pass the value '0' as categoryId. Note: When this parameter is NOT set, then the result will contain a cash flow for all categories that have transactions associated to them (this includes the 'null'-category for the cash flow of not categorized transactions), more precisely: transactions that fulfill the filter criteria. Categories that have no associated transactions according to the filter criteria will not appear in the result. However, when you specify this parameter, then all specified categories will have a cash flow entry in the result, even if there are no associated transactions for the category (the cash flow will have income, spending and balance all set to zero). (optional)isNew - If specified, then only transactions that have their 'isNew' flag set to true/false will be regarded for the cash flow calculations. (optional)minImportDate - Lower bound for a transaction's import date, in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). If specified, then only transactions whose 'importDate' is equal to or later than the given date will be regarded. (optional)maxImportDate - Upper bound for a transaction's import date, in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). If specified, then only transactions whose 'importDate' is equal to or earlier than the given date will be regarded. (optional)includeSubCashFlows - If it is true, then the income, spending and balance of a main category results from all transactions that have either this (main) category or any of its subcategories assigned (of course all transactions depends from the other filtering settings); If it is false, then the income, spending and balance of a main category only results from the transactions that have exactly this (main) category assigned. Default value for this parameter is 'true'. (optional, default to true)order - Determines the order of the results. You can order the results by 'income', 'spending', 'balance', 'category.id' or 'category.name'. The default order for this service is 'category.id,asc'. You can also order by multiple properties. In that case the order of the parameters passed is important. Example: '/cashFlows?order=income,desc&order=spending,asc&balance,desc' will return as first result the category with the highest income. If two categories have the same income, it returns the category with the highest spending first (because spending is a negative value) and so on. The general format is: 'property[,asc|desc]', with 'asc' being the default value. Please note that ordering by multiple fields is not supported in our swagger frontend, but you can test this feature with any HTTP tool of your choice (e.g. postman or DHC). (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response bodypublic ApiResponse<CashFlowList> getCashFlowsWithHttpInfo(String search, String counterpart, List<Long> accountIds, String minBankBookingDate, String maxBankBookingDate, String minFinapiBookingDate, String maxFinapiBookingDate, BigDecimal minAmount, BigDecimal maxAmount, String direction, List<Long> labelIds, List<Long> categoryIds, Boolean isNew, String minImportDate, String maxImportDate, Boolean includeSubCashFlows, List<String> order) throws ApiException
search - If specified, then only transactions that contain the search term in their purpose or counterpart fields will be contained in the result. Note that the search is case insensitive. (optional)counterpart - The counterpart is the person or institution that received your payment, or that you made the payment to. If this parameter is specified, then only transactions that contain the given term in one (or more) of their counterpart fields ('counterpartName', 'counterpartAccountNumber', 'counterpartIban', 'counterpartBic' or 'counterpartBlz') will be contained in the result. Note that the search is case insensitive. (optional)accountIds - A comma-separated list of account identifiers. If specified, then only transactions that relate to the given accounts will be regarded. If not specified, then all accounts will be regarded. (optional)minBankBookingDate - Lower bound for a transaction's booking date as returned by the bank (= original booking date), in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). If specified, then only transactions whose 'bankBookingDate' is equal to or later than the given date will be regarded. (optional)maxBankBookingDate - Upper bound for a transaction's booking date as returned by the bank (= original booking date), in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). If specified, then only transactions whose 'bankBookingDate' is equal to or earlier than the given date will be regarded. (optional)minFinapiBookingDate - Lower bound for a transaction's booking date as set by finAPI, in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). For details about the meaning of the finAPI booking date, please see the field's documentation in the service's response. (optional)maxFinapiBookingDate - Upper bound for a transaction's booking date as set by finAPI, in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). For details about the meaning of the finAPI booking date, please see the field's documentation in the service's response. (optional)minAmount - If specified, then only transactions whose amount is equal to or greater than the given amount will be regarded. Can contain a positive or negative number with at most two decimal places. Examples: -300.12, or 90.95 (optional)maxAmount - If specified, then only transactions whose amount is equal to or less than the given amount will be regarded. Can contain a positive or negative number with at most two decimal places. Examples: -300.12, or 90.95 (optional)direction - If specified, then only transactions with the given direction(s) will be regarded. Use 'income' for regarding only received payments (amount >= 0), 'spending' for regarding only outgoing payments (amount < 0), or 'all' to regard both directions. If not specified, the direction defaults to 'all'. (optional, default to all)labelIds - A comma-separated list of label identifiers. If specified, then only transactions that have been marked with at least one of the given labels will be contained in the result. (optional)categoryIds - If specified, then the result will contain only those cash flows that relate to the given categories. Note that the cash flow for a category may include/exclude the cash flows of its sub-categories, depending on the 'includeSubCashFlows' setting. To include the cash flow of not categorized transactions, pass the value '0' as categoryId. Note: When this parameter is NOT set, then the result will contain a cash flow for all categories that have transactions associated to them (this includes the 'null'-category for the cash flow of not categorized transactions), more precisely: transactions that fulfill the filter criteria. Categories that have no associated transactions according to the filter criteria will not appear in the result. However, when you specify this parameter, then all specified categories will have a cash flow entry in the result, even if there are no associated transactions for the category (the cash flow will have income, spending and balance all set to zero). (optional)isNew - If specified, then only transactions that have their 'isNew' flag set to true/false will be regarded for the cash flow calculations. (optional)minImportDate - Lower bound for a transaction's import date, in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). If specified, then only transactions whose 'importDate' is equal to or later than the given date will be regarded. (optional)maxImportDate - Upper bound for a transaction's import date, in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). If specified, then only transactions whose 'importDate' is equal to or earlier than the given date will be regarded. (optional)includeSubCashFlows - If it is true, then the income, spending and balance of a main category results from all transactions that have either this (main) category or any of its subcategories assigned (of course all transactions depends from the other filtering settings); If it is false, then the income, spending and balance of a main category only results from the transactions that have exactly this (main) category assigned. Default value for this parameter is 'true'. (optional, default to true)order - Determines the order of the results. You can order the results by 'income', 'spending', 'balance', 'category.id' or 'category.name'. The default order for this service is 'category.id,asc'. You can also order by multiple properties. In that case the order of the parameters passed is important. Example: '/cashFlows?order=income,desc&order=spending,asc&balance,desc' will return as first result the category with the highest income. If two categories have the same income, it returns the category with the highest spending first (because spending is a negative value) and so on. The general format is: 'property[,asc|desc]', with 'asc' being the default value. Please note that ordering by multiple fields is not supported in our swagger frontend, but you can test this feature with any HTTP tool of your choice (e.g. postman or DHC). (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response bodypublic com.squareup.okhttp.Call getCashFlowsAsync(String search, String counterpart, List<Long> accountIds, String minBankBookingDate, String maxBankBookingDate, String minFinapiBookingDate, String maxFinapiBookingDate, BigDecimal minAmount, BigDecimal maxAmount, String direction, List<Long> labelIds, List<Long> categoryIds, Boolean isNew, String minImportDate, String maxImportDate, Boolean includeSubCashFlows, List<String> order, ApiCallback<CashFlowList> callback) throws ApiException
search - If specified, then only transactions that contain the search term in their purpose or counterpart fields will be contained in the result. Note that the search is case insensitive. (optional)counterpart - The counterpart is the person or institution that received your payment, or that you made the payment to. If this parameter is specified, then only transactions that contain the given term in one (or more) of their counterpart fields ('counterpartName', 'counterpartAccountNumber', 'counterpartIban', 'counterpartBic' or 'counterpartBlz') will be contained in the result. Note that the search is case insensitive. (optional)accountIds - A comma-separated list of account identifiers. If specified, then only transactions that relate to the given accounts will be regarded. If not specified, then all accounts will be regarded. (optional)minBankBookingDate - Lower bound for a transaction's booking date as returned by the bank (= original booking date), in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). If specified, then only transactions whose 'bankBookingDate' is equal to or later than the given date will be regarded. (optional)maxBankBookingDate - Upper bound for a transaction's booking date as returned by the bank (= original booking date), in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). If specified, then only transactions whose 'bankBookingDate' is equal to or earlier than the given date will be regarded. (optional)minFinapiBookingDate - Lower bound for a transaction's booking date as set by finAPI, in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). For details about the meaning of the finAPI booking date, please see the field's documentation in the service's response. (optional)maxFinapiBookingDate - Upper bound for a transaction's booking date as set by finAPI, in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). For details about the meaning of the finAPI booking date, please see the field's documentation in the service's response. (optional)minAmount - If specified, then only transactions whose amount is equal to or greater than the given amount will be regarded. Can contain a positive or negative number with at most two decimal places. Examples: -300.12, or 90.95 (optional)maxAmount - If specified, then only transactions whose amount is equal to or less than the given amount will be regarded. Can contain a positive or negative number with at most two decimal places. Examples: -300.12, or 90.95 (optional)direction - If specified, then only transactions with the given direction(s) will be regarded. Use 'income' for regarding only received payments (amount >= 0), 'spending' for regarding only outgoing payments (amount < 0), or 'all' to regard both directions. If not specified, the direction defaults to 'all'. (optional, default to all)labelIds - A comma-separated list of label identifiers. If specified, then only transactions that have been marked with at least one of the given labels will be contained in the result. (optional)categoryIds - If specified, then the result will contain only those cash flows that relate to the given categories. Note that the cash flow for a category may include/exclude the cash flows of its sub-categories, depending on the 'includeSubCashFlows' setting. To include the cash flow of not categorized transactions, pass the value '0' as categoryId. Note: When this parameter is NOT set, then the result will contain a cash flow for all categories that have transactions associated to them (this includes the 'null'-category for the cash flow of not categorized transactions), more precisely: transactions that fulfill the filter criteria. Categories that have no associated transactions according to the filter criteria will not appear in the result. However, when you specify this parameter, then all specified categories will have a cash flow entry in the result, even if there are no associated transactions for the category (the cash flow will have income, spending and balance all set to zero). (optional)isNew - If specified, then only transactions that have their 'isNew' flag set to true/false will be regarded for the cash flow calculations. (optional)minImportDate - Lower bound for a transaction's import date, in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). If specified, then only transactions whose 'importDate' is equal to or later than the given date will be regarded. (optional)maxImportDate - Upper bound for a transaction's import date, in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). If specified, then only transactions whose 'importDate' is equal to or earlier than the given date will be regarded. (optional)includeSubCashFlows - If it is true, then the income, spending and balance of a main category results from all transactions that have either this (main) category or any of its subcategories assigned (of course all transactions depends from the other filtering settings); If it is false, then the income, spending and balance of a main category only results from the transactions that have exactly this (main) category assigned. Default value for this parameter is 'true'. (optional, default to true)order - Determines the order of the results. You can order the results by 'income', 'spending', 'balance', 'category.id' or 'category.name'. The default order for this service is 'category.id,asc'. You can also order by multiple properties. In that case the order of the parameters passed is important. Example: '/cashFlows?order=income,desc&order=spending,asc&balance,desc' will return as first result the category with the highest income. If two categories have the same income, it returns the category with the highest spending first (because spending is a negative value) and so on. The general format is: 'property[,asc|desc]', with 'asc' being the default value. Please note that ordering by multiple fields is not supported in our swagger frontend, but you can test this feature with any HTTP tool of your choice (e.g. postman or DHC). (optional)callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body objectpublic com.squareup.okhttp.Call getCategoryCall(Long id, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener) throws ApiException
id - Category identifier (required)progressListener - Progress listenerprogressRequestListener - Progress request listenerApiException - If fail to serialize the request body objectpublic Category getCategory(Long id) throws ApiException
id - Category identifier (required)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response bodypublic ApiResponse<Category> getCategoryWithHttpInfo(Long id) throws ApiException
id - Category identifier (required)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response bodypublic com.squareup.okhttp.Call getCategoryAsync(Long id, ApiCallback<Category> callback) throws ApiException
id - Category identifier (required)callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object@Deprecated public com.squareup.okhttp.Call getMultipleCategoriesCall(List<Long> ids, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener) throws ApiException
ids - Comma-separated list of identifiers of requested categories (required)progressListener - Progress listenerprogressRequestListener - Progress request listenerApiException - If fail to serialize the request body object@Deprecated public CategoryList getMultipleCategories(List<Long> ids) throws ApiException
ids - Comma-separated list of identifiers of requested categories (required)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body@Deprecated public ApiResponse<CategoryList> getMultipleCategoriesWithHttpInfo(List<Long> ids) throws ApiException
ids - Comma-separated list of identifiers of requested categories (required)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body@Deprecated public com.squareup.okhttp.Call getMultipleCategoriesAsync(List<Long> ids, ApiCallback<CategoryList> callback) throws ApiException
ids - Comma-separated list of identifiers of requested categories (required)callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body objectpublic com.squareup.okhttp.Call trainCategorizationCall(CategorizationSample body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener) throws ApiException
body - Categorization sample (optional)progressListener - Progress listenerprogressRequestListener - Progress request listenerApiException - If fail to serialize the request body objectpublic void trainCategorization(CategorizationSample body) throws ApiException
body - Categorization sample (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response bodypublic ApiResponse<Void> trainCategorizationWithHttpInfo(CategorizationSample body) throws ApiException
body - Categorization sample (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response bodypublic com.squareup.okhttp.Call trainCategorizationAsync(CategorizationSample body, ApiCallback<Void> callback) throws ApiException
body - Categorization sample (optional)callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body objectCopyright © 2018. All rights reserved.